curl -X GET \
https://api.upstash.com/v2/vector/index \
-u 'EMAIL:API_KEY' \
const axios = require('axios');
const config = {
auth: {
username: 'EMAIL',
password: 'API_KEY',
},
};
const url = 'https://api.upstash.com/v2/vector/index';
axios.get(url, config)
.then((response) => {
console.log(response.data);
})
.catch((error) => {
console.error('Error:', error);
});
import requests
response = requests.get('https://api.upstash.com/v2/vector/index', auth=('EMAIL', 'API_KEY'))
response.content
client := &http.Client{}
req, err := http.NewRequest("GET", "https://api.upstash.com/v2/vector/index")
if err != nil {
log.Fatal(err)
}
req.SetBasicAuth("email", "api_key")
resp, err := client.Do(req)
if err != nil {
log.Fatal(err)
}
bodyText, err := ioutil.ReadAll(resp.Body)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%s\n", bodyText);
[
{
"customer_id": "test@upstash.com",
"id": "0639864f-ece6-429c-8118-86a287b0e808",
"name": "myindex",
"similarity_function": "COSINE",
"dimension_count": 5,
"endpoint": "test-index-3814-eu1-vector.upstash.io",
"token": "QkZGMk5heGltdW0tdXBkYXRlZC0zNzM1LWV1MkFkbWlOeGZGZ1J5Wm1GdE5tTXhNQzB1TmpsbExUb3hOekF0TVRJbFpqMTJORFUxTm1GZw==",
"read_only_token": "QkZGRk1heGltdW0tdXBkYXRlZC0zNzM1LWV1MnJlYWRvbmx5TmtaZ05qS3JNWVV0Wm1aZ01pMDBOV1poTHRob05qY3RNR0U0TkRjejNqazJU"
"type": "paid",
"region": "eu-west-1",
"max_vector_count": 400000000,
"max_daily_updates": -1,
"max_daily_queries": -1,
"max_monthly_bandwidth": -1,
"max_writes_per_second": 1000,
"max_query_per_second": 1000,
"max_reads_per_request": 1000,
"max_writes_per_request": 1000,
"max_total_metadata_size": 53687091200,
"creation_time": 1707313165
}
]
Vector
List Indices
This endpoint returns the data related to all indices of an account as a list.
GET
/
v2
/
vector
/
index
/
curl -X GET \
https://api.upstash.com/v2/vector/index \
-u 'EMAIL:API_KEY' \
const axios = require('axios');
const config = {
auth: {
username: 'EMAIL',
password: 'API_KEY',
},
};
const url = 'https://api.upstash.com/v2/vector/index';
axios.get(url, config)
.then((response) => {
console.log(response.data);
})
.catch((error) => {
console.error('Error:', error);
});
import requests
response = requests.get('https://api.upstash.com/v2/vector/index', auth=('EMAIL', 'API_KEY'))
response.content
client := &http.Client{}
req, err := http.NewRequest("GET", "https://api.upstash.com/v2/vector/index")
if err != nil {
log.Fatal(err)
}
req.SetBasicAuth("email", "api_key")
resp, err := client.Do(req)
if err != nil {
log.Fatal(err)
}
bodyText, err := ioutil.ReadAll(resp.Body)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%s\n", bodyText);
[
{
"customer_id": "test@upstash.com",
"id": "0639864f-ece6-429c-8118-86a287b0e808",
"name": "myindex",
"similarity_function": "COSINE",
"dimension_count": 5,
"endpoint": "test-index-3814-eu1-vector.upstash.io",
"token": "QkZGMk5heGltdW0tdXBkYXRlZC0zNzM1LWV1MkFkbWlOeGZGZ1J5Wm1GdE5tTXhNQzB1TmpsbExUb3hOekF0TVRJbFpqMTJORFUxTm1GZw==",
"read_only_token": "QkZGRk1heGltdW0tdXBkYXRlZC0zNzM1LWV1MnJlYWRvbmx5TmtaZ05qS3JNWVV0Wm1aZ01pMDBOV1poTHRob05qY3RNR0U0TkRjejNqazJU"
"type": "paid",
"region": "eu-west-1",
"max_vector_count": 400000000,
"max_daily_updates": -1,
"max_daily_queries": -1,
"max_monthly_bandwidth": -1,
"max_writes_per_second": 1000,
"max_query_per_second": 1000,
"max_reads_per_request": 1000,
"max_writes_per_request": 1000,
"max_total_metadata_size": 53687091200,
"creation_time": 1707313165
}
]
Request Parameters
This endpoint doesn’t require any additional data.Response Parameters
Array
required
Hide child attributes
Hide child attributes
string
required
The associated ID of the owner of the index
string
required
Unique ID of the index
string
required
The name of the index.
string
required
Similarity function that’s used to calculate the distance between two
vectors
number
required
The amount of values in a single vector
string
required
The REST endpoint of the index
string
required
The payment plan of the index
string
required
The region where the index is currently deployed.
number
required
The number of maximum that your index can contain.
number
required
The number of maximum update operations you can perform in a day. Only upsert operations are included in update count.
number
required
The number of maximum query operations you can perform in a day. Only query operations are included in query count.
number
required
The maximum amount of monthly bandwidth for the index. Unit is bytes.
-1 if the limit is unlimited.number
required
The number of maximum write operations you can perform per second. Only upsert operations are included in write count.
number
required
The number of maximum query operations you can perform per second. Only query operations are included in query count.
number
required
The number of maximum vectors in a read operation. Query and fetch operations are included in read operations.
number
required
The number of maximum vectors in a write operation. Only upsert operations are included in write operations.
number
required
The amount of maximum size for the total metadata sizes in your index.
number
Monthly pricing of your index. Only available for fixed and pro plans.
number
required
The creation time of the vector index in UTC as unix timestamp.
curl -X GET \
https://api.upstash.com/v2/vector/index \
-u 'EMAIL:API_KEY' \
const axios = require('axios');
const config = {
auth: {
username: 'EMAIL',
password: 'API_KEY',
},
};
const url = 'https://api.upstash.com/v2/vector/index';
axios.get(url, config)
.then((response) => {
console.log(response.data);
})
.catch((error) => {
console.error('Error:', error);
});
import requests
response = requests.get('https://api.upstash.com/v2/vector/index', auth=('EMAIL', 'API_KEY'))
response.content
client := &http.Client{}
req, err := http.NewRequest("GET", "https://api.upstash.com/v2/vector/index")
if err != nil {
log.Fatal(err)
}
req.SetBasicAuth("email", "api_key")
resp, err := client.Do(req)
if err != nil {
log.Fatal(err)
}
bodyText, err := ioutil.ReadAll(resp.Body)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%s\n", bodyText);
[
{
"customer_id": "test@upstash.com",
"id": "0639864f-ece6-429c-8118-86a287b0e808",
"name": "myindex",
"similarity_function": "COSINE",
"dimension_count": 5,
"endpoint": "test-index-3814-eu1-vector.upstash.io",
"token": "QkZGMk5heGltdW0tdXBkYXRlZC0zNzM1LWV1MkFkbWlOeGZGZ1J5Wm1GdE5tTXhNQzB1TmpsbExUb3hOekF0TVRJbFpqMTJORFUxTm1GZw==",
"read_only_token": "QkZGRk1heGltdW0tdXBkYXRlZC0zNzM1LWV1MnJlYWRvbmx5TmtaZ05qS3JNWVV0Wm1aZ01pMDBOV1poTHRob05qY3RNR0U0TkRjejNqazJU"
"type": "paid",
"region": "eu-west-1",
"max_vector_count": 400000000,
"max_daily_updates": -1,
"max_daily_queries": -1,
"max_monthly_bandwidth": -1,
"max_writes_per_second": 1000,
"max_query_per_second": 1000,
"max_reads_per_request": 1000,
"max_writes_per_request": 1000,
"max_total_metadata_size": 53687091200,
"creation_time": 1707313165
}
]
Was this page helpful?
⌘I